Bug 1459273 - User asked for group password even if it is not required
User asked for group password even if it is not required
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager-vpnc (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 13:06 EDT by Pavel Roskin
Modified: 2018-05-29 07:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:39:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Roskin 2017-06-06 13:06:13 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Thomas Haller 2017-06-06 13:15:32 EDT
Are the password flags set to 0x4 (not-required)?

See "Secret flag types" in `man nm-settings`.

Search for "-flags" in `nmcli connection show "$NAME"` What does it give?
Comment 2 Pavel Roskin 2017-06-06 13:26:03 EDT
The bug was submitted before I had a change to fill the information. Doing it now.

Description of problem:

NetworkManager asks me for group password even if the setting for group password says "not required".

Version-Release number of selected component (if applicable):

NetworkManager-vpnc-1.2.4-2.fc26.x86_64

How reproducible:

Every time

Steps to Reproduce:
1. Open network settings
2. Click on +
3. Select "Cisco Compatible VPN (vpnc)"
4. Fill the settings
name: Office
firewall zone: default
uncheck Make available to all users
gateway: 10.0.0.1
user name: user
user password: Ask for this password every time
group name: Group
group password: The password is not required
uncheck Show passwords
uncheck Use hybrid authentication
leave Advanced as is
click Add
5. Set the switch to the right of "Office VPN" to ON

Actual results:

I'm asked for user password and then for group password. I cannot leave the group password empty.

Expected results:

I'm asked for user password, but not for group password

Additional info:

I'm trying to connect to a SonicWall VPN, but I cannot figure out what some settings should be. It looks like some of the settings are ignored. I can connect to the VPN using SonicWall client for Android without any group password.

$ nmcli connection show Office | grep flags
vpn.data:                               Local Port = 0, IKE DH Group = dh2, Perfect Forward Secrecy = server, Xauth username = user, Xauth password-flags = 2, IPSec gateway = 10.0.0.1, IPSec ID = Group, Vendor = cisco, xauth-password-type = ask, IPSec secret-flags = 4, ipsec-secret-type = unused, NAT Traversal Mode = natt

I understand "IPSec secret-flags = 4" means "not required", so I'm surprised that I'm asked for two passwords, not one.
Comment 3 Fedora End Of Life 2018-05-03 04:17:47 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2018-05-29 07:39:19 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.